import { ChangeDetectorRef, EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ActiveCartService } from '@spartacus/core';
import { CartService } from '../../../services/cart.service';
import { FormBuilder, FormArray } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CustomCartGridComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    private formBuilder;
    private activeCartService;
    isFinishedPoduct: boolean;
    additinalselectedColour: any;
    modalSelectedColour: any;
    isShow: boolean;
    showDetails: any;
    disableAddMore: boolean;
    errorIndex: any;
    rowIndex: number;
    cartId: any;
    showWaitCursor: BehaviorSubject<boolean>;
    additionalPara: any;
    cartDetails: any;
    isCardData: any;
    updateCartEntry: EventEmitter<any>;
    closeInviteModal: any;
    isModalSelectedColor: any;
    imageModalSrc: any;
    selectedColour: any;
    selectedIndex: any;
    arrowUpDown: any;
    defaultConfigInfo: any;
    productCode: any;
    productDetails: any;
    accessoriesPrice: any;
    finishedVariantDetails: any;
    productForm: any;
    addToCartError: any;
    errorMessage: string;
    showToast: boolean;
    env: any;
    environment: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef, formBuilder: FormBuilder, activeCartService: ActiveCartService);
    ngOnInit(): void;
    get cartForm(): FormArray;
    hasCartDetails(): boolean;
    updateDefaultCartDetails(): void;
    getColours(cartDetails: any, index: number): void;
    updateSelectedColourCode(code: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    showHide(ind: number): void;
    arrowHideShow(id: number): void;
    modalSelectedColor(event: any, colour: any, ind: number): void;
    updateProductColor(cart: any, color: any, index: any): void;
    addtionalModalSelectedColor(event: any, colour: any, ind: number): void;
    proceedWithSubmit(color: any, ind: number): void;
    cancel(): void;
    deleteEntry(entNumber: any): void;
    isNullOrEmpty(value: any): boolean;
    updateCartDetails(cart: any, index: any, color?: any): void;
    prodQtyErrors(index: any): any;
    jobReferenceErrors(index: any): any;
    isFormValid(index: any, cart: any): any;
    updateCart(event: any, cart: any, index: any): void;
    updateJobReference(event: any, cart: any, index: any): void;
    reoladCartEntires(): void;
    getImageDetails(cartDetails: any, thumbnail?: any): any;
    viewImage(event: any, cartDetails: any): void;
    getPdfLink(cartDetails: any): void;
    hasImage(cartDetails: any): boolean;
    closeToast(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCartGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCartGridComponent, "app-custom-cart-grid", never, { "additionalPara": "additionalPara"; "cartDetails": "cartDetails"; "isCardData": "isCardData"; }, { "updateCartEntry": "updateCartEntry"; }, never, never>;
}
